Skip to main content
GET
/
v1
/
roles
/
{id}
Get a single role with its permissions
curl --request GET \
  --url https://dev.flextell.ai/api/v1/roles/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "tenant_id": 123,
    "name": "<string>",
    "is_system": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "permissions_count": 123,
    "permissions": [
      {
        "id": 123,
        "name": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The role identifier

Response

success
string
required
data
RoleResource · object
required